Bug 234592 - Installation Failure on VMWare
Installation Failure on VMWare
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Windows
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2007-03-30 09:30 EDT by Rob Dubbeldam
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-11 14:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Dump file from the installation (49.90 KB, text/plain)
2007-03-30 09:30 EDT, Rob Dubbeldam
no flags Details
Crash dump image file (mount using loopback) of crash in vmware (1.41 MB, application/octet-stream)
2007-03-30 20:13 EDT, Andrew Pilley
no flags Details

  None (edit)
Description Rob Dubbeldam 2007-03-30 09:30:12 EDT
Description of problem: Bug message when trying to install Fedora Core 7 test 3
(i386) on VMware 1.0.2 (Windows XP Prof. SP2).

Version-Release number of selected component (if applicable):
How reproducible: Using the ISO file downloaded and mounting it in the VMware
options as cd/dvd drive. 

Steps to Reproduce:
1. Install VMWare 1.0.2
2. Make a new VM, i used the following options:
- Custom
- Linux Guest OS, Version: Other linux 2.6.x kernel.
- Name: Fedora 7 test 3, Location: D:\Virtual Machines\Fedora 7 test\
3. Access Rights, Default
4. VM account, Default
5. Number of cpu's: 2
6. 320mb RAM
7. NAT Network
8. LSI Logic HDD
9. New Virtual Disk
10. SCSI
11. 10gb
12. Allocate diskspace now, no 2gb split files.
13. Name: Fedora 7 test 3

14. Mount ISO as cd drive in settings.
15. Boot the VM and try installing Fedora 7 test 3
Actual results: None
Expected results: Installation of Fedora 7 test 3

Additional info: Good Luck.
Comment 1 Rob Dubbeldam 2007-03-30 09:30:12 EDT
Created attachment 151277 [details]
Dump file from the installation
Comment 2 Andrew Pilley 2007-03-30 20:09:30 EDT
I'm getting something that looks similar to this bug.

Right after the GUI installer checks for existing fedora installations, it 
crashes, and allows me to create a bug report in a floppy image.

It doesn't appear to have the same bug under text mode, however, as it 
progresses past that point and brings up the next screen, however, the 
text-mode install seems to suggest that it can't find any disks, as it has two 
strange black squares.

I jumped out to the emergency shell, and noted that while there appears to be 
an LSI Logic / Symbios Logic 53c1030 in the system, fedora doesn't appear to 
have loaded a driver for it.

Using an IDE disk in vmware's installer seems to work better, it detects a 
drive to install then. (although, strangely, still calls it /dev/sda, although 
i suspect that's just because it's using a SATA-type driver)

Comment 3 Andrew Pilley 2007-03-30 20:13:17 EDT
Created attachment 151340 [details]
Crash dump image file (mount using loopback) of crash in vmware
Comment 4 Charlie Sauer 2007-03-31 11:37:45 EDT
I am seeing problems further along in install.

I am using pretty vanilla VM configuration, specifying Red Hat Linux, use the 
DVD ISO for CD. The settings I'm using worked for a Test 2 install.

After most or all of the packages have been installed, I get a blank screen. In 
one case, it stayed there overnight before I killed the VM.

This has happened both in GUI and Text install. This has happened in both IDE 
and SCSI disk configurations.
Comment 5 David Brown 2007-04-06 23:48:52 EDT
I successfully got it to start installing.  I encountered this error with a SCSI
disk image, but IDE disk image worked fine (again oddly /dev/sda).  I couldn't
install Test 2 with a SCSI disk, so this makes sense.  However, in Test 2, it
complained "No hard drives found."  If this error is not fixed, the installer
should be at least made to "crash gracefully" like it did in Test 2.
Comment 6 Matthew Miller 2007-04-10 11:54:41 EDT
Bulk message: Fedora 7 test bugs should be filed against "devel", not against
test1/2/3. This isn't obvious, I know. Moving this report so it isn't lost.
Comment 7 David Cantrell 2007-04-11 14:27:23 EDT
Vmware has alwasy been hit or miss with the storage drivers.  Some days the LSI
driver works, some days it doesn't.  Some days the BusLogic driver works,
sometimes not.  And now IDE seems ok.

Basically there's not much we can do here and it's all up to VMware.  Closing as

(Also, IDE disks show up as /dev/sdX now because of changes to libata in the
latest kernels.)
Comment 8 John Saalwaechter 2007-04-29 13:07:16 EDT
For folks finding this in the future, as hinted at above, trying the other scsi
driver can also address the problem (not just switching to IDE).  I installed F7
T4, and the LSI scsi driver failed to recognize any disks, but the BusLogic
driver worked fine.  To try the other scsi driver, create the vmware instance
starting with "custom" instead of "typical" settings, which will present you
with a choice between LSI and BusLogic.
Comment 9 Charlie Sauer 2007-04-29 14:46:04 EDT
Several more points:
* F7 T4 seems to work OK for me on VMware Server 1.0.2.
* John Saalwaechter's recommendation is apropos -- my standard practice has 
been to use "custom" and BusLogic for VMware in general (e.g., for Windows NT4 
Server as well as Fedora and ubuntu).
* F7 T4 is sending lines along the following to /var/log/messages every 10 
seconds (and a subset of these lines to the console):
   Apr 29 04:13:28 localhost kernel: ata2.00: exception Emask 0x0 SAct 0x0 
   SErr 0x0 action 0x0
   Apr 29 04:13:29 localhost kernel: ata2.00: (BMDMA stat 0x26)
   Apr 29 04:13:29 localhost kernel: ata2.00: cmd 
   a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x4a data 8 in
   Apr 29 04:13:29 localhost kernel:          res  
   51/50:03:00:00:00/00:00:00:00:00/a0 Emask 0x20 (host bus error)
   Apr 29 04:13:29 localhost kernel: ata2.00: configured for UDMA/33
   Apr 29 04:13:29 localhost kernel: ata2: EH complete
I tried VMware Server 1.0.3 (new a few days ago) yesterday after seemingly 
succeeding witn 1.0.2. F7 T4 anaconda failed very early in installing packages, 
so I reverted to 1.0.2.

Note You need to log in before you can comment on or make changes to this bug.